#include <iostream>
using namespace std;

int main()
{
    long long int n,m;
    cin >> n >> m;
    if(n>=2 && m>=2)
    {
        cout << 2*n+2*(m-2)+(((n-2)*(m-2))/2);
    }
    else if(n==1)
    {
        cout << m;
    }
    else
    {
        cout << n;
    }
}